/*
	AEObjects.r -- Type Declarations for Rez and DeRez
	
	Copyright Apple Computer, Inc. 1992
	All rights reserved.

	3:33 PM Fri, 30 Oct 1992
*/

#ifndef __AEOBJECTS.R__
#define __AEOBJECTS.R__

# define errAEAccessorNotFound			-1723
# define errAEBadTestKey				-1726
# define errAEEmptyListContainer		-1730
# define errAEImpossibleRange			-1720
# define errAENegativeCount				-1729
# define errAENoSuchLogical				-1725
# define errAENoSuchObject				-1728
# define errAENotAnObjSpec				-1727
# define errAEWrongNumberArgs			-1721
# define formAbsolutePosition			'indx'
# define formName						'name'
# define formPropertyID					'prop'
# define formRange						'rang'
# define formRelativePosition			'rele'
# define formTest						'test'
# define formWhose						'whos'
# define kAEAll							'all '
# define kAEAND							'AND '
# define kAEAny							'any '
# define kAEFirst						'firs'
# define kAEIDoMarking					'0x0004'
# define kAEIDoMinimum					'0x0000'
# define kAEIDoWhose					'0x0001'
# define kAELast						'last'
# define kAEMiddle						'midd'
# define kAENext						'next'
# define kAENOT							'NOT '
# define kAEOR							'OR  '
# define kAEPrevious					'prev'
# define keyAEAdjustMarksProc			'adjm'
# define keyAECompareProc				'cmpr'
# define keyAECompOperator				'relo'
# define keyAEContainer					'from'
# define keyAECountProc					'cont'
# define keyAEDesiredClass				'want'
# define keyAEGetErrDescProc			'indc'
# define keyAEIndex						'kidx'
# define keyAEKeyData					'seld'
# define keyAEKeyForm					'form'
# define keyAELogicalOperator			'logc'
# define keyAELogicalTerms				'term'
# define keyAEMarkProc					'mark'
# define keyAEMarkTokenProc				'mkid'
# define keyAEObject1					'obj1'
# define keyAEObject2					'obj2'
# define keyAERangeStart				'star'
# define keyAERangeStop					'stop'
# define keyAETest						'ktst'
# define keyAEWhoseRangeStart			'wstr'
# define keyAEWhoseRangeStop			'wstp'
# define keyDisposeTokenProc			'xtok'
# define typeAbsoluteOrdinal			'abso'
# define typeCompDescriptor				'cmpd'
# define typeCurrentContainer			'ccnt'
# define typeIndexDescriptor			'inde'
# define typeLogicalDescriptor			'logi'
# define typeObjectBeingExamined		'exmn'
# define typeObjectSpecifier			'obj '
# define typeRangeDescriptor			'rang'
# define typeRelativeDescriptor			'rel '
# define typeToken						'toke'
# define typeWhoseDescriptor			'whos'
# define typeWhoseRange					'wrng'


#endif __AEOBJECTS.R__